set(CTEST_SITE "localhost")
set(CTEST_BUILD_NAME "java_coverage_example")
set(CTEST_SOURCE_DIRECTORY ${CTEST_SCRIPT_DIRECTORY}/src)
set(CTEST_BINARY_DIRECTORY ${CTEST_SCRIPT_DIRECTORY}/bin)
set(CTEST_CMAKE_GENERATOR "Unix Makefiles")

ctest_empty_binary_directory("${CTEST_BINARY_DIRECTORY}")
ctest_start(Experimental)
ctest_configure()
ctest_build()
ctest_test()
ctest_submit()

# generate a Java coverage tarball and upload it to CDash.
include(${CTEST_SCRIPT_DIRECTORY}/CTestCoverageCollectJavaJSON.cmake)
ctest_coverage_collect_java_json(
  TARBALL java_json.tar
  BUILD ${CTEST_BINARY_DIRECTORY}
)
if(EXISTS "${CTEST_BINARY_DIRECTORY}/java_json.tar")
  ctest_submit(CDASH_UPLOAD "${CTEST_BINARY_DIRECTORY}/java_json.tar"
    CDASH_UPLOAD_TYPE JavaJSONTar)
endif()
